Summary:	An LDAP-based blacklist engine for SpamAssassin
Name:		perl-Mail-SpamAssassin-Plugin-LDAPfilter
Version:	0.09
Release:	%mkrel 15
License:	Apache License
Group:		Development/Perl
URL:		http://www.ntrg.com/misc/ldapfilter/
Source0:	http://www.ntrg.com/misc/ldapfilter/ldapfilter.cf
Source1:	http://www.ntrg.com/misc/ldapfilter/ldapfilter.pm
Source2:	http://www.ntrg.com/misc/ldapfilter/mailFilter.schema
Source3:	http://www.ntrg.com/misc/ldapfilter/spamAssassinFilter.schema
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  spamassassin-spamd >= 3.1.1
Requires:	spamassassin-spamd >= 3.1.1
BuildRequires:	perl-doc
BuildArch:	noarch


%description
This plugin checks an LDAP directory for entries and attributes that are
associated with specific message resource, and assigns SpamAssassin scores to
the message according to the values that are returned.

%prep

%setup -q -T -c -n %{name}-%{version}

cp %{SOURCE0} LDAPfilter.cf
cp %{SOURCE1} LDAPfilter.pm
cp %{SOURCE2} .
cp %{SOURCE3} .

# fix path
perl -pi -e "s|ldapfilter\.pm|%{perl_vendorlib}/Mail/SpamAssassin/Plugin/LDAPfilter\.pm|g" LDAPfilter.cf

%build

perldoc LDAPfilter.pm > Mail::SpamAssassin::Plugin::LDAPfilter.3pm

%install
install -d %{buildroot}%{_sysconfdir}/mail/spamassassin/
install -d %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin
install -d %{buildroot}%{_mandir}/man3

install -m0644 LDAPfilter.cf %{buildroot}%{_sysconfdir}/mail/spamassassin/
install -m0644 LDAPfilter.pm %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin/
install -m0644 Mail::SpamAssassin::Plugin::LDAPfilter.3pm %{buildroot}%{_mandir}/man3/

%post
if [ -f %{_var}/lock/subsys/spamd ]; then
    %{_initrddir}/spamd restart 1>&2;
fi
    
%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/spamd ]; then
        %{_initrddir}/spamd restart 1>&2
    fi
fi

%files
%defattr(644,root,root,755)
%doc mailFilter.schema spamAssassinFilter.schema
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/mail/spamassassin/LDAPfilter.cf
%{perl_vendorlib}/Mail/SpamAssassin/Plugin/LDAPfilter.pm
%{_mandir}/man3/Mail::SpamAssassin::Plugin::LDAPfilter.3pm*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.09-15.mga8
+ Revision: 1495560
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.09-14.mga7
+ Revision: 1269168
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.09-13.mga6
+ Revision: 1029512
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.09-12.mga6
+ Revision: 932774
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.09-11.mga5
+ Revision: 750761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.09-10.mga5
+ Revision: 685326
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.09-9.mga4
+ Revision: 512748
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.09-8.mga3
+ Revision: 369431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.09-7.mga1
+ Revision: 30793
- mageia rebuild
- imported package perl-Mail-SpamAssassin-Plugin-LDAPfilter


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.09-7mdv2010.0
+ Revision: 430488
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.09-6mdv2009.0
+ Revision: 257717
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.09-5mdv2009.0
+ Revision: 245792
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.09-3mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.09-3mdv2008.0
+ Revision: 46362
- misc fixes


* Sat Nov 25 2006 Emmanuel Andry <eandry@mandriva.org> 0.09-2mdv2007.0
+ Revision: 87286
- patch to fix perl module path
- Import perl-Mail-SpamAssassin-Plugin-LDAPfilter

